MarinerWrtTextInternal::Paragraph::BorderFill Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MarinerWrtTextInternal::Paragraph::BorderFill Struct Reference

small structure to store border/fills properties in MarinerWrtText More...

## Public Member Functions
| BorderFill ()
| constructor More...
bool | isDefault () const
| return true if the properties are default properties More...
void | resetBackgroundColor ()
| reset the background color More...
bool | hasBackgroundColor () const
| return true if we have a not white background color More...
MWAWColor | getBackgroundColor (float percent) const
| returns the background color knowing the pattern percent More...
void | resetBorders ()
| reset the borders More...
bool | hasBorders () const
| return true if we have border More...
MWAWBorder | getBorder (int pos) const
| return a border corresponding to a pos More...

## Public Attributes
MWAWColor | m_foreColor
| the foreground color More...
MWAWColor | m_backColor
| the background color More...
int | m_patternId
| the pattern id More...
MWAWColor | m_borderColor
| the border color More...
int | m_borderTypes [4]
| the border type L T R B More...

## Friends
std::ostream & | operator<< (std::ostream &o, BorderFill const &fill)
| operator<< More...

## Detailed Description

small structure to store border/fills properties in MarinerWrtText

## Constructor & Destructor Documentation

## ◆ BorderFill()

MarinerWrtTextInternal::Paragraph::BorderFill::BorderFill | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getBackgroundColor()

MWAWColor MarinerWrtTextInternal::Paragraph::BorderFill::getBackgroundColor | ( | float | percent | ) | const
| inline

returns the background color knowing the pattern percent

Referenced by MarinerWrtTextInternal::Paragraph::update().

## ◆ getBorder()

MWAWBorder MarinerWrtTextInternal::Paragraph::BorderFill::getBorder | ( | int | pos | ) | const

return a border corresponding to a pos

Referenced by MarinerWrtTextInternal::Paragraph::update().

## ◆ hasBackgroundColor()

bool MarinerWrtTextInternal::Paragraph::BorderFill::hasBackgroundColor | ( |  | ) | const
| inline

return true if we have a not white background color

Referenced by isDefault(), and MarinerWrtTextInternal::Paragraph::update().

## ◆ hasBorders()

bool MarinerWrtTextInternal::Paragraph::BorderFill::hasBorders | ( |  | ) | const
| inline

return true if we have border

Referenced by isDefault(), and MarinerWrtTextInternal::Paragraph::update().

## ◆ isDefault()

bool MarinerWrtTextInternal::Paragraph::BorderFill::isDefault | ( |  | ) | const
| inline

return true if the properties are default properties

## ◆ resetBackgroundColor()

void MarinerWrtTextInternal::Paragraph::BorderFill::resetBackgroundColor | ( |  | ) |
| inline

reset the background color

Referenced by MarinerWrtText::readRulers().

## ◆ resetBorders()

void MarinerWrtTextInternal::Paragraph::BorderFill::resetBorders | ( |  | ) |
| inline

reset the borders

Referenced by MarinerWrtText::readRulers().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Paragraph::BorderFill const & | fill
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_backColor

MWAWColor MarinerWrtTextInternal::Paragraph::BorderFill::m_backColor

the background color

Referenced by getBackgroundColor(), hasBackgroundColor(), MarinerWrtText::readRulers(), and resetBackgroundColor().

## ◆ m_borderColor

MWAWColor MarinerWrtTextInternal::Paragraph::BorderFill::m_borderColor

the border color

Referenced by getBorder(), and MarinerWrtText::readRulers().

## ◆ m_borderTypes

int MarinerWrtTextInternal::Paragraph::BorderFill::m_borderTypes[4]

the border type L T R B

Referenced by BorderFill(), getBorder(), hasBorders(), resetBorders(), and MarinerWrtTextInternal::Paragraph::update().

## ◆ m_foreColor

MWAWColor MarinerWrtTextInternal::Paragraph::BorderFill::m_foreColor

the foreground color

Referenced by getBackgroundColor(), hasBackgroundColor(), MarinerWrtText::readRulers(), and resetBackgroundColor().

## ◆ m_patternId

int MarinerWrtTextInternal::Paragraph::BorderFill::m_patternId

the pattern id

Referenced by hasBackgroundColor(), MarinerWrtText::readRulers(), resetBackgroundColor(), and MarinerWrtText::sendTable().

The documentation for this struct was generated from the following file:

- MarinerWrtText.cxx